View Issue Details

IDProjectCategoryView StatusLast Update
0001989NoesisGUIUnrealpublic2021-05-05 14:05
Reportersergey_sitnikov_ninjatheoryAssigned Tohcpizzi 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.10 
Target Version3.1Fixed in Version3.1 
Summary0001989: TMap is not yet exposed in Unreal plugin as a dictionary and can't be used in bindings
DescriptionAt the moment it is not possible to use TMap in UE4 for MVVM binding similar way how Dictionary is used in C#.

Sergio mentioned that the feature is not implemented yet and can be added to the next release.
Steps To Reproduce- Bind XAML property to a Dictionary in your ViewModel, e.g. {Binding DictionaryName[SomeKeyName]}
- Define that dictionary in UE4 as a TMap
- As a result, that XAML property will not be bound
TagsNo tags attached.
PlatformAny

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2021-04-28 18:28 sergey_sitnikov_ninjatheory New Issue
2021-04-28 18:32 jsantos Target Version => 3.0.12
2021-04-28 18:32 jsantos Assigned To => hcpizzi
2021-04-28 18:32 jsantos Status new => assigned
2021-05-04 02:41 jsantos Target Version 3.0.12 => 3.0.13
2021-05-05 14:05 jsantos Target Version 3.0.13 => 3.1
2021-05-05 14:05 jsantos Status assigned => resolved
2021-05-05 14:05 jsantos Resolution open => fixed
2021-05-05 14:05 jsantos Fixed in Version => 3.1